Nightmarish Pawnshop Mystic

    ep_github

    1.0.1 • Public • Published

    Etherpad lite GitHub authorization

    Install

    In your etherpad-lite dir:

    npm install ep_github
    

    Configure

    Add to settings.json:

    "users": {
        "github": {
            "appId": "Replace with you app id",
            "appSecret": "Replace with your app secret",
            "config": {
                "organization": "Replace with your organization"
            }
        }
    },
    

    To authenticate users on a specific team

    "config": {
      "organization": "Replace with your organization",
      "team": "the team"
    }
    

    To authenticate only specific users

    "config": {
      "users": ["francois2metz"]
    }
    

    See github-auth to see all possible options.

    Licence

    BSD

    Copyright (C) 2015 by François de Metz

    Keywords

    none

    Install

    npm i ep_github

    DownloadsWeekly Downloads

    9

    Version

    1.0.1

    License

    none

    Last publish

    Collaborators

    • francois